Public Member Functions | Static Public Member Functions | List of all members
GLStencilTableTBO Class Reference

GL TextureBuffer stencil table. More...

`#include <glXFBEvaluator.h>`

## Public Member Functions
| GLStencilTableTBO (Far::StencilTable const *stencilTable)
| GLStencilTableTBO (Far::LimitStencilTable const *limitStencilTable)
| ~GLStencilTableTBO ()
GLuint | GetSizesTexture () const
GLuint | GetOffsetsTexture () const
GLuint | GetIndicesTexture () const
GLuint | GetWeightsTexture () const
GLuint | GetDuWeightsTexture () const
GLuint | GetDvWeightsTexture () const
int | GetNumStencils () const

## Static Public Member Functions
static GLStencilTableTBO * | Create (Far::StencilTable const *stencilTable, void *deviceContext=NULL)
static GLStencilTableTBO * | Create (Far::LimitStencilTable const *limitStencilTable, void *deviceContext=NULL)

## Detailed Description

GL TextureBuffer stencil table.

This class is a GL Texture Buffer representation of Far::StencilTable.

GLSLTransformFeedback consumes this table to apply stencils

Definition at line 52 of file glXFBEvaluator.h.

## Constructor & Destructor Documentation

## § GLStencilTableTBO() [1/2]

GLStencilTableTBO | ( | Far::StencilTable const * | stencilTable | ) |
| explicit

## § GLStencilTableTBO() [2/2]

GLStencilTableTBO | ( | Far::LimitStencilTable const * | limitStencilTable | ) |
| explicit

## § ~GLStencilTableTBO()

~GLStencilTableTBO | ( |  | ) |

## Member Function Documentation

## § Create() [1/2]

static GLStencilTableTBO* Create | ( | Far::StencilTable const * | stencilTable,
|  | void * | deviceContext = `NULL`
| ) |  |
| inline static

Definition at line 54 of file glXFBEvaluator.h.

## § Create() [2/2]

static GLStencilTableTBO* Create | ( | Far::LimitStencilTable const * | limitStencilTable,
|  | void * | deviceContext = `NULL`
| ) |  |
| inline static

Definition at line 60 of file glXFBEvaluator.h.

## § GetDuWeightsTexture()

GLuint GetDuWeightsTexture | ( |  | ) | const
| inline

Definition at line 76 of file glXFBEvaluator.h.

## § GetDvWeightsTexture()

GLuint GetDvWeightsTexture | ( |  | ) | const
| inline

Definition at line 77 of file glXFBEvaluator.h.

## § GetIndicesTexture()

GLuint GetIndicesTexture | ( |  | ) | const
| inline

Definition at line 74 of file glXFBEvaluator.h.

## § GetNumStencils()

int GetNumStencils | ( |  | ) | const
| inline

Definition at line 78 of file glXFBEvaluator.h.

## § GetOffsetsTexture()

GLuint GetOffsetsTexture | ( |  | ) | const
| inline

Definition at line 73 of file glXFBEvaluator.h.

## § GetSizesTexture()

GLuint GetSizesTexture | ( |  | ) | const
| inline

Definition at line 72 of file glXFBEvaluator.h.

## § GetWeightsTexture()

GLuint GetWeightsTexture | ( |  | ) | const
| inline

Definition at line 75 of file glXFBEvaluator.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/glXFBEvaluator.h